Subject: bug#77649: [PATCH] Add support for updating *Completions* as you type

From: Juri Linkov <[email-masked]>
Date: Tue, 08 Apr 2025 21:33:31 +0300

> Add support for updating the *Completions* buffer as you type,
> controlled by a new completion metadata symbol 'eager-update and
> new defcustom completion-eager-update.
>
> You can configure a completion category to update *Completions*
> as you type by setting completion-category-overrides
> appropriately; or set completion-eager-update to t to always
> update *Completions* as you type.
>
> This is similar to the recently added completion-eager-display.

Thanks, now finally we'll have this long-needed feature.

The first question: should it depend on the value of
'minibuffer-visible-completions'?  OTOH, even when it's nil,
*Completions* can be displayed by non-nil completion-eager-display.

So the only problem is that when the *Completions* window is removed
(e.g. when no candidates remains), it never comes back to the display
(e.g. after deleting previous characters).

Or maybe this is not a problem, I have to test it more.